##############################
#                            #
# Ansible / Tower managed on #
#                            #
##############################

# Globals
[maxscale]
threads={{ install_maxscale.threads }}
threads_max={{ install_maxscale.threads_max }}
admin_enabled={{ install_maxscale__admin.enabled | lower }}
{% if install_maxscale__admin.enabled | default(false) %}
admin_host={{ install_maxscale__admin.bind }}
admin_port={{ install_maxscale__admin.port }}
admin_secure_gui={{ install_maxscale__admin.secure | lower }}
{% if install_maxscale__admin.secure | default(false) %}
admin_ssl_ca={{ install_maxscale__admin.ssl_ca }}
admin_ssl_cert={{ install_maxscale__admin.ssl_crt }}
admin_ssl_key={{ install_maxscale__admin.ssl_key }}
{% endif %}
{% endif %}

# Servers
{% for host in install_maxscale__mariadb.hosts %}
[{{ host.name }}]
type=server
address={{ host.address }}
port={{ host.port }}
protocol=MariaDBBackend
ssl=true
ssl_verify_peer_certificate=true
ssl_verify_peer_host=false
ssl_ca={{ install_maxscale.ssl_path }}/{{ install_maxscale__mariadb.ssl_ca }}
{% if install_maxscale__mariadb.ssl_crt | default(false) %}
ssl_cert={{ install_maxscale.ssl_path }}/{{ install_maxscale__mariadb.ssl_crt }}
ssl_key={{ install_maxscale.ssl_path }}/{{ install_maxscale__mariadb.ssl_key }}
{% endif %}
priority={{ loop.index -1 }}

{% endfor %}

# Monitoring for the servers
[MariaDB-Databases-Monitor]
type=monitor
module={{ install_maxscale__mariadb.type }}
user={{ install_maxscale__mariadb.maxscale_user }}
password={{ install_maxscale__mariadb.maxscale_password }}
servers={% for host in install_maxscale__mariadb.hosts %}{{ host.name }}{% if not loop.last %},{% endif %}{% endfor %}


# Router service
[MariaDB-Databases-Service]
type=service
router=readwritesplit
servers={% for host in install_maxscale__mariadb.hosts %}{{ host.name }}{% if not loop.last %},{% endif %}{% endfor %}

user={{ install_maxscale__mariadb.maxscale_user }}
password={{ install_maxscale__mariadb.maxscale_password }}

# Cluster listener
[MariaDB-Databases-Listener]
type=listener
service=MariaDB-Databases-Service
protocol=MariaDBClient
port={{ install_maxscale__listener.port }}
address={{ install_maxscale__listener.bind }}
ssl=true
ssl_version={{ install_maxscale__listener.ssl_version }}
ssl_cert={{ install_maxscale.ssl_path }}/{{ install_maxscale__listener.ssl_crt }}
ssl_key={{ install_maxscale.ssl_path }}/{{ install_maxscale__listener.ssl_key }}
{% if install_maxscale__listener.ssl_client_auth | lower %}
ssl_verify_peer_certificate={{ install_maxscale__listener.ssl_verify_certificate | lower }}
ssl_verify_peer_host={{ install_maxscale__listener.ssl_verify_host | lower }}
ssl_ca={{ install_maxscale.ssl_path }}/{{ install_maxscale__listener.ssl_ca }}
{% endif %}
